Packages - Bug #3448

Freedom Issue # 2791 (confirmed): [spyder] depends on webengine

spyder needs to be rebuilt against new re2 (Version : 1:20230201-1)
2023-02-17 05:14 PM - pavelsayekat

Status: unconfirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

spyder needs to be rebuilt against new re2 (Version : 1:20230201-1)

$ spyder
Traceback (most recent call last):

File "/usr/bin/spyder", line 33, in &lt;modules&gt;
sys.exit (load_entry_point ('spyder==5.4.1", 'gui_scripts', 'spyder') ())

File "/usr/lib/python3.10/site-packages/spyder/app/start.py", line 248, in main
from spyder.app import mainwindow

File "/usr/lib/python3.10/site-packages/spyder/app/mainwindow.py", line 56, in &lt;module&gt;
from gtpy import QtWebEngineWidgets # analysis:ignore

File "/usr/lib/python3.10/site-packages/gtpy/QtWebEngineWidgets.py", line 28, in &lt;module&gt

from PyQt5.QtWebEngineWidgets import QWebEnginePage
ImportError: libre2.s0.9: cannot open shared object file: No such file or directory

eg: instead, it prints: "ERROR: invalid argument (Is the 'foo' daemon running?)"

History

#1 - 2023-02-19 02:27 AM - bill-auger
- Related to Freedom Issue #2791: [spyder] depends on webengine added

#2 - 2023-02-19 06:30 AM - bill-auger
- Parent task set to #2791
i can not reproduce this - when i try to install 'spyder’, it is not installable
: unable to satisfy dependency 'python-pygt5-webengine' required by spyder
that is #2791 - i just tried to de-webengine this; but unsuccessfully

but, even if that were fixed, spyder and re2 are both from arch - so this would probably be their bug to fix - there is no arch bug report for it now
though
